Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
Name:		handbrake
Version:	1.4.1
Release:	4
License:	GPL v2+
Group:		Applications/Multimedia
Source0:	https://github.com/HandBrake/HandBrake/releases/download/%{version}/HandBrake-%{version}-source.tar.bz2
# Source0-md5:	73fe8df8340ac7b7c23a8c09974d6906
# Source1 is a tarball of the downloads/ folder that contains third party
# libraries required and automatically downloaded by HandBrake the first
# time 'make' is run. If you update Source0 to a newer release you must
# recreate an updated Source1 tarball for it too!
Source1:	HandBrake-%{version}-contrib-tarballs.tar
# Source1-md5:	11691c785ee60b58651c5405eeeb5f22
Patch0:		binutils2.41.patch
URL:		https://handbrake.fr/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	cmake
BuildRequires:	curl-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	fribidi-devel
BuildRequires:	glib2-devel
BuildRequires:	gstreamer-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-webkit3-devel
BuildRequires:	harfbuzz-devel
BuildRequires:	intltool
BuildRequires:	jansson-devel
BuildRequires:	lame-libs-devel
BuildRequires:	libass-devel
BuildRequires:	libnotify-devel
BuildRequires:	libogg-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtheora-devel
BuildRequires:	libtool
BuildRequires:	libvorbis-devel
BuildRequires:	libx264-devel
BuildRequires:	libxml2-devel
BuildRequires:	m4
BuildRequires:	opus-devel
BuildRequires:	pkgconfig
BuildRequires:	python
BuildRequires:	rpmbuild(macros) >= 2.005
BuildRequires:	subversion
BuildRequires:	udev-glib-devel
BuildRequires:	yasm
BuildRequires:	zlib-devel
BuildConflicts:	libudfread-devel
ExclusiveArch:	%{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_debugsource_packages	0

%description
HandBrake is an open-source, GPL-licensed, multi-platform,
multi-threaded transcoder, available for MacOS X, Linux and Windows.

%package gui
Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
Group:		Applications/Multimedia
Requires(post,postun):	desktop-file-utils
Requires:	gstreamer-plugins-bad
Requires:	gstreamer-plugins-ugly
Requires:	gtk+3
Requires:	libdvdcss
Obsoletes:	HandBrake
Obsoletes:	handbrake

%package cli
Summary:	A program to transcode DVDs and other sources to MPEG-4 and MKV
Group:		Applications/Multimedia
Requires:	gtk-update-icon-cache
Requires:	libdvdcss
Obsoletes:	HandBrake
Obsoletes:	handbrake

%description gui
HandBrake is an open-source, GPL-licensed, multi-platform,
multi-threaded transcoder, available for MacOS X, Linux and Windows.

This is the GTK GUI version of HandBrake.

%description cli
HandBrake is an open-source, GPL-licensed, multi-platform,
multi-threaded transcoder, available for MacOS X, Linux and Windows.

This is the CLI tool version of HandBrake.

%prep
%setup -q -n HandBrake-%{version} -a1

cp -p %{PATCH0} contrib/ffmpeg/A77-%{basename:%{PATCH0}}

%build
export CFLAGS="%{rpmcflags}"
export CXXFLAGS="%{rpmcxxflags}"
export LDFLAGS="%{rpmldflags}"
./configure \
	--force \
	--prefix=%{_prefix} \
	--disable-df-fetch

cat > build/GNUmakefile.custom.defs <<EOF
STRIP.exe = /bin/true
BUILD.jobs = %{__jobs}
GCC.args.g.none = %{rpmcflags}
GCC.args.O.speed = %{rpmcflags}
EOF

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT
cat > build/GNUmakefile.custom.defs <<EOF
STRIP.exe = /bin/true
CONF.args = --prefix=$RPM_BUILD_ROOT%{_prefix}
PREFIX    = $RPM_BUILD_ROOT%{_prefix}
PREFIX/   = $RPM_BUILD_ROOT%{_prefix}/
EOF
%{__make} -C build install

%{__rm} $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%{__mv} $RPM_BUILD_ROOT%{_localedir}/sl{_SI,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/uk{_UA,}
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{no,nb}

%find_lang ghb

%clean
rm -rf $RPM_BUILD_ROOT

%post gui
%update_icon_cache hicolor
%update_desktop_database_post

%postun gui
%update_icon_cache hicolor
%update_desktop_database_postun

%files gui -f ghb.lang
%defattr(644,root,root,755)
%doc COPYING AUTHORS.markdown NEWS.markdown README.markdown THANKS.markdown
%attr(755,root,root) %{_bindir}/ghb
%{_desktopdir}/fr.handbrake.ghb.desktop
%{_iconsdir}/hicolor/scalable/apps/hb-icon.svg
%{_iconsdir}/hicolor/scalable/apps/fr.handbrake.ghb.svg
%{_datadir}/metainfo/fr.handbrake.ghb.metainfo.xml

%files cli
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/HandBrakeCLI
%changelog
* Sun Mar 03 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/handbrake.git;a=log;h=master

* Sun Mar 03 2024 Jan Rękorajski <baggins@pld-linux.org> 679b4b3
- Release 4 (by relup.sh)

* Sun Oct 01 2023 Jan Palus <atler@pld-linux.org> b085144
- libvpx 1.13.x rebuild

* Sun Oct 01 2023 Jan Palus <atler@pld-linux.org> f939153
- update desktop database

* Sun Oct 01 2023 Jan Palus <atler@pld-linux.org> 595e729
- macros for %_debugsource_packages

* Sun Oct 01 2023 Jan Palus <atler@pld-linux.org> fe2d86d
- add binutils 2.41 patch for embedded ffmpeg

* Tue Feb 08 2022 Jan Rękorajski <baggins@pld-linux.org> 9dea01d
- Release 2 (by relup.sh)

* Sat Aug 28 2021 Jan Rękorajski <baggins@pld-linux.org> f7ea1e2
- up to 1.4.1

* Sat May 25 2019 Jan Rękorajski <baggins@pld-linux.org> 9cb5b6e
- up to 1.2.2

* Mon Jan 14 2019 Jan Palus <atler@pld-linux.org> 5e097e1
- libx264 rebuild
- release 2 (by relup.sh)

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> 3e26daa
- builds only on x8664

* Sun Aug 19 2018 Jan Rękorajski <baggins@pld-linux.org> e271911
- up to 1.1.1

* Thu Aug 03 2017 Jan Rękorajski <baggins@pld-linux.org> d74f445
- updated to 1.0.7

* Tue Aug 16 2011 Elan Ruusamäe <glen@pld-linux.org> a84837e
- initial, based on
  http://pkgrepo.linuxtech.net/el6/release/source/handbrake-0.9.5-1.el6.src.rpm

